package domain

type AlibabaWdkMarketingItembuygiftRemoveitemCommonActivityParam struct {
	/*
	   五道口活动id     */
	ActivityId *int64 `json:"activity_id,omitempty" `

	/*
	   商家活动id     */
	OutActId *string `json:"out_act_id,omitempty" `
}

func (s *AlibabaWdkMarketingItembuygiftRemoveitemCommonActivityParam) SetActivityId(v int64) *AlibabaWdkMarketingItembuygiftRemoveitemCommonActivityParam {
	s.ActivityId = &v
	return s
}
func (s *AlibabaWdkMarketingItembuygiftRemoveitemCommonActivityParam) SetOutActId(v string) *AlibabaWdkMarketingItembuygiftRemoveitemCommonActivityParam {
	s.OutActId = &v
	return s
}
